perl-base fails to install due to " unable to make backup symlink for './usr/share/man/man1/perl5.20.2.1.gz': No such file or directory"

Bug #1537303 reported by Karl-Philipp Richter on 2016-01-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
perl (Ubuntu)
Undecided
Unassigned

Bug Description

complete output:

    $ sudo apt-get install -f
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Correcting dependencies... Done
    The following extra packages will be installed:
      perl-base perl-modules
    Suggested packages:
      libb-lint-perl libcpanplus-dist-build-perl libcpanplus-perl libfile-checktree-perl liblog-message-simple-perl liblog-message-perl libobject-accessor-perl
    Recommended packages:
      libarchive-extract-perl libpod-latex-perl libterm-ui-perl libtext-soundex-perl libpackage-constants-perl
    The following packages will be upgraded:
      perl-base perl-modules
    2 upgraded, 0 newly installed, 0 to remove and 78 not upgraded.
    2 not fully installed or removed.
    Need to get 0 B/3.696 kB of archives.
    After this operation, 1.541 kB of additional disk space will be used.
    Do you want to continue? [J/n] j
    (Reading database ... 852329 files and directories currently installed.)
    Preparing to unpack .../perl-base_5.20.2-6ubuntu0.1_amd64.deb ...
    Unpacking perl-base (5.20.2-6ubuntu0.1) over (5.20.2-6) ...
    dpkg: error processing archive /var/cache/apt/archives/perl-base_5.20.2-6ubuntu0.1_amd64.deb (--unpack):
     unable to make backup symlink for './usr/share/man/man1/perl5.20.2.1.gz': No such file or directory
    No apport report written because the error message indicates an issue on the local system
                                                                                             Processing triggers for man-db (2.7.4-1) ...
    Errors were encountered while processing:
     /var/cache/apt/archives/perl-base_5.20.2-6ubuntu0.1_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Bug
DistroRelease: Ubuntu 15.10
Package: perl-base 5.20.2-6
Uname: Linux 4.3.3-040303-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
ApportVersion: 2.19.1-0ubuntu5
Architecture: amd64
Date: Sat Jan 23 03:47:27 2016
InstallationDate: Installed on 2015-04-20 (277 days ago)
InstallationMedia: Ubuntu-Server 14.10 "Utopic Unicorn" - Release amd64 (20141022.2)
SourcePackage: perl
UpgradeStatus: Upgraded to wily on 2015-10-26 (88 days ago)

This can be fixed with `sudo mv /usr/share/man/man1/perl5.20.2.1.gz /tmp && sudo apt-get install -f`

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers